%define version 4.14

Summary:	Converts text and other types of files to PostScript(TM)
Name:		a2ps
Version:	%{version}
%define subrel	1
Release:	%mkrel 13
License:	GPLv3+
Group:		Publishing
Url:		http://www.gnu.org/software/a2ps/
Source:		http://ftp.gnu.org/gnu/a2ps/%{name}-%{version}.tar.gz
Patch1:		a2ps-4.14-enable-display.patch
Patch2:		a2ps-4.14-fix-str-fmt.patch
Patch3:		a2ps-4.14-glibcpaper.patch
Patch4:		a2ps-4.14-autoenc.patch
Patch5:		a2ps-4.14-security.patch
Patch6:		a2ps-info.patch
Patch7:		a2ps-4.14-CVE-2014-0466.patch
Requires(post):	info-install
Requires(preun):info-install
BuildRequires:	bison
BuildRequires:	emacs-bin
#BuildRequires:	fetchmail
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	groff-perl
BuildRequires:	html2ps
BuildRequires:	imagemagick
BuildRequires:	mawk
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	texinfo
#BuildRequires:	xemacs
BuildRequires:	psutils
#Buildrequires:	gv

Requires:	binutils
Requires:	file
Requires:	groff-perl
Requires:	imagemagick 
Requires:	psutils

#Requires:	gv

%description
The a2ps filter converts text and other types of files to PostScript(TM).
a2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%package devel
Summary:	Include files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-static-devel < %{version}-%{release}

%description devel
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

This package holds include files and static libs.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%post
%_install_info a2ps.info
%_install_info ogonkify.info
%_install_info regex.info
# Adapt /usr/share/a2ps/afm/fonts.map to the current system environment
( cd %{_datadir}/%{name}/afm/
  ./make_fonts_map.sh > /dev/null 2>&1
  mv -f fonts.map.new fonts.map
)

%preun
%_remove_install_info a2ps.info
%_remove_install_info ogonkify.info
%_remove_install_info regex.info

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS NEWS README TODO THANKS
%{_bindir}/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/ogonkify
%{_datadir}/emacs/site-lisp/*

%files devel
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Tue Apr 01 2014 luigiwalser <luigiwalser> 4.14-13.1.mga4
+ Revision: 611158
- add patch from debian to fix CVE-2014-0466

* Sat Oct 19 2013 umeabot <umeabot> 4.14-13.mga4
+ Revision: 532133
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 4.14-12.mga4
+ Revision: 467118
- move static lib into devel package
- merge fedora patches
- add pld patch to build with recent texinfo

* Fri Jan 11 2013 umeabot <umeabot> 4.14-12.mga3
+ Revision: 345157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 19 2011 ahmad <ahmad> 4.14-11.mga1
+ Revision: 54251
- imported package a2ps

